import * as $dara from '@darabonba/typescript';
import { DescribeSecurityGroupReferencesResponseBody } from "./DescribeSecurityGroupReferencesResponseBody";
export declare class DescribeSecurityGroupReferencesResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: DescribeSecurityGroupReferencesResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
